View Issue Details

IDProjectCategoryView StatusLast Update
0027596LazarusIDEpublic2019-06-22 12:23
ReporterKarl-Michael Schindler Assigned ToDmitry Boyarintsev  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformdarwinOSMac OS X 
Product Version1.5 (SVN) 
Summary0027596: Command keys in lazarus-cocoa
DescriptionThere are numerous issues with the command keys.
1) ⌘Q for Quit, ⌘H for Hide, ⌥⌘H for Hide Others,⌘N for New are missing.
2) All keys are Control instead of Command.
3) Close Window has ^S like Save and not ^W.
4) ^K is used several times in the Edit menu
5) Some keys have no modifier. R in the Search menu, Z in the View menu, Q in Sources → Refactoring, S, V, W, X in the Start menu
6) Preferences have ^⇧O instead of ⌘,
7) The Preferences and About menus have non-standard locations.
8) The Lazarus menu does not have the standard layout.
TagsNo tags attached.
Fixed in Revision61443
LazTarget-
WidgetsetCocoa
Attached Files

Relationships

related to 0030371 resolvedFelipe Monteiro de Carvalho App menus in Cocoa programs do not contain the usual items 
related to 0012294 assignedDmitry Boyarintsev "About Lazarus" menu item should be in the Application menu under Mac OS X 

Activities

CudaText man

2017-05-10 11:09

reporter   ~0100189

Partially solved
a- was added keymap, which has Ctrl replaced to Command key
b- Ctrl+K n times: solved
other items- keymapping dependant, several issue for several keymaps

Close as "wont fix"?

Karl-Michael Schindler

2017-05-10 11:15

reporter   ~0100191

If you are sure about that nothing else can be done. One would need something like partially fixed ;-)

Juha Manninen

2017-10-09 21:37

developer   ~0103305

Karl-Michael Schindler, if you have some other changes in mind then please provide a patch. Otherwise I will resolve this later as "fixed".

Karl-Michael Schindler

2017-10-10 10:25

reporter   ~0103322

Let me check the current status. I will probably not find the time to provide a patch.

Karl-Michael Schindler

2017-10-10 11:11

reporter   ~0103323

At the moment (svn version 1.9, revision 56010) there is no menu bar in the cocoa version. So, I cannot check whether the command keys are corrected or not. Secondly, the height of the top panel cannot be adjusted. Therefore, only the top half of the icons is visible.

Juha Manninen

2017-10-10 12:09

developer   ~0103328

Ok, I must detach myself. I don't have a Mac.

Dmitry Boyarintsev

2019-06-22 04:26

developer   ~0116829

You've now preferences and about menu at the macOS spot.

for the proper shortcuts you need to select macOS Apple or macOS Lazarus.

There are many users who start Lazarus on macOS using Windows or Linux shortcuts.
They would prefer non-mac native shortcuts initially.

Issue History

Date Modified Username Field Change
2015-03-03 10:55 Karl-Michael Schindler New Issue
2017-05-10 11:09 CudaText man Note Added: 0100189
2017-05-10 11:15 Karl-Michael Schindler Note Added: 0100191
2017-10-09 21:34 Juha Manninen Assigned To => Juha Manninen
2017-10-09 21:34 Juha Manninen Status new => assigned
2017-10-09 21:37 Juha Manninen LazTarget => -
2017-10-09 21:37 Juha Manninen Note Added: 0103305
2017-10-09 21:37 Juha Manninen Status assigned => feedback
2017-10-10 10:25 Karl-Michael Schindler Note Added: 0103322
2017-10-10 10:25 Karl-Michael Schindler Status feedback => assigned
2017-10-10 11:11 Karl-Michael Schindler Note Added: 0103323
2017-10-10 12:09 Juha Manninen Note Added: 0103328
2017-10-10 12:09 Juha Manninen Assigned To Juha Manninen =>
2017-10-10 12:09 Juha Manninen Status assigned => new
2018-01-07 06:46 Dmitry Boyarintsev Relationship added related to 0030371
2019-06-16 03:21 Dmitry Boyarintsev Relationship added related to 0012294
2019-06-22 04:26 Dmitry Boyarintsev Assigned To => Dmitry Boyarintsev
2019-06-22 04:26 Dmitry Boyarintsev Status new => resolved
2019-06-22 04:26 Dmitry Boyarintsev Resolution open => fixed
2019-06-22 04:26 Dmitry Boyarintsev Fixed in Revision => 61443
2019-06-22 04:26 Dmitry Boyarintsev Widgetset Cocoa => Cocoa
2019-06-22 04:26 Dmitry Boyarintsev Note Added: 0116829